Index: Dev/branches/rest-dojo-ui/client/mMenu.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/mMenu.html	(revision 345)
+++ Dev/branches/rest-dojo-ui/client/mMenu.html	(revision 346)
@@ -48,4 +48,10 @@
             });
         </script>
+
+        <script>
+            function goToPage(name) {
+                window.location = "http://localhost/RESEARCHTOOL/Dev/branches/rest-dojo-ui/client/"+name+".html";
+            }
+        </script>
     </head>
     <body class="dijitReset claro">
@@ -75,6 +81,6 @@
                                 <span class="rftIcon rftIconSession"></span><span class="label">Sessions</span>
                             </div>
-                            <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'green twoHeight', iconClass: 'rftIcon rftIconPlus'">Create and edit</div>
-                            <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'green twoHeight', iconClass: 'rftIcon rftIconForward'">Facilitate</div>
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'green twoHeight', iconClass: 'rftIcon rftIconPlus'" onClick="goToPage('mSessions');">Create and edit</button>
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'green twoHeight', iconClass: 'rftIcon rftIconForward'" onClick="goToPage('mSessions');">Facilitate</button>
                         </div>
 
@@ -83,13 +89,13 @@
                                 <span class="rftIcon rftIconInspect"></span><span class="label">Content</span>
                             </div>
-                            <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'blue oneHeight', iconClass: 'rftIcon rftIconSurvey'">Surveys</div>
-                            <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'orange oneHeight', iconClass: 'rftIcon rftIconQuestion'">Questions</div>
-                            <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'purple oneHeight', iconClass: 'rftIcon rftIconApplication'">Applications</div>
-                            <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'red oneHeight', iconClass: 'rftIcon rftIconDashboard'">Dashboards</div>
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'blue oneHeight', iconClass: 'rftIcon rftIconSurvey'" onClick="goToPage('mSurveys');">Surveys</button>
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'orange oneHeight', iconClass: 'rftIcon rftIconQuestion'" onClick="goToPage('mQuestions');">Questions</button>
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'purple oneHeight', iconClass: 'rftIcon rftIconApplication'" onClick="goToPage('mApplications');">Applications</button>
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'red oneHeight', iconClass: 'rftIcon rftIconDashboard'" onClick="goToPage('mDashboards');">Dashboards</button>
 
                         </div>
 
                         <div class="rftIndexMenuBlock">
-                            <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'blue fourHeight', iconClass: 'rftIcon rftIconGameData'">Results</div>
+                            <div data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'blue fourHeight', iconClass: 'rftIcon rftIconGameData'" onClick="goToPage('mResults')">Results</div>
                         </div>
                     </div>
Index: Dev/branches/rest-dojo-ui/client/mSession.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/mSession.html	(revision 346)
+++ Dev/branches/rest-dojo-ui/client/mSession.html	(revision 346)
@@ -0,0 +1,129 @@
+<!DOCTYPE html>
+<html>
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+        <title>Research Facilitator Tool</title>
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dijit/themes/claro/claro.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/grid/resources/Grid.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/grid/resources/claroGrid.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/widget/Toaster/Toaster.css" />
+        <link rel="stylesheet" type="text/css" href="rft/css/main.css" />
+        <script type="text/javascript" src="dojotoolkit/dojo/dojo.js" data-dojo-config="async: true, parseOnLoad: false, tlmSiblingOfDojo: false, isDebug: true, baseUrl: '', packagePaths: {'dojotoolkit':['dojo','dijit', 'dojox'], '.':['rft']}"></script>
+        <script type="text/javascript">
+            require([
+                'dojo/parser',
+                'dijit/DropDownMenu',
+                'dijit/layout/AccordionContainer',
+                'dijit/layout/BorderContainer',
+                'dijit/layout/ContentPane',
+                'dijit/layout/TabContainer',
+                'dijit/layout/SplitContainer',
+                'dijit/MenuBar',
+                'dijit/MenuBarItem',
+                'dijit/form/Button',
+                'dijit/form/ComboBox',
+                'dijit/form/Form',
+                'dijit/form/Select',
+                'dijit/form/SimpleTextarea',
+                'dijit/form/DateTextBox',
+                'dijit/form/TextBox',
+                'dijit/form/Textarea',
+                'dijit/PopupMenuBarItem',
+                'dijit/TitlePane',
+                'dojox/grid/DataGrid',
+                'dojox/widget/TitleGroup',
+                'rft/ui/List',
+                'rft/ui/MainMenu',
+                'rft/ui/MenuBarLink',
+                'rft/ui/MenuLink',
+                'rft/ui/Notifications',
+                'rft/ui/LineWithActionsWidget',
+                'rft/ui/QuestionWidget',
+                'rft/ui/Selector',
+                'rft/ui/SelectorThijs',
+                'rft/ui/LineWithActionsWidgetThijs',
+                'rft/ui/TitleGroup',
+                'dojo/domReady!'
+            ],function(parser){
+                parser.parse();
+            });
+        </script>
+        <script>
+            function goToPage(name) {
+                window.location = "http://localhost/RESEARCHTOOL/Dev/branches/rest-dojo-ui/client/"+name+".html";
+            }
+        </script>
+    </head>
+    <body class="dijitReset claro">
+        <div class="page" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'center'">
+            <!-- Top menu bar -->
+            <div class="topbar" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                <h1>ResearchTool</h1>
+                <div data-dojo-type="rft.ui.MainMenu"></div>
+                <div class="breadcrumbs">
+                    <span class="breadcrumb">User > </span>
+                    <span class="breadcrumbCurrent">Team session 15-5-2012 [editing]</span>
+                </div>
+            </div>
+            <!-- Main content window -->
+            <div class="content" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'center'">
+                <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'" style="height: 500px;">
+                    <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
+                        <h2>
+                            <span class="rftIcon rftIconSurvey"></span>
+                            <span class="headerText">Teamup Session 15-5-2012 [editing]</span>
+                        </h2>
+                    </div>
+                    <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'">
+                        <div data-dojo-type="dijit.layout.TabContainer" class="green" data-dojo-props="tabPosition:'left-h',region:'center'">
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Properties">
+                                <!--PROPERTIES-->
+                                <h3>Basic</h3>
+                                <fieldset class="align">
+                                    <label for="titleInput">Title:</label>
+                                    <input type="text" id="titleInput" data-dojo-type="dijit.form.TextBox" data-dojo-props="placeHolder: 'Enter title here'" />
+                                    <br/>
+                                    <label for="descriptionInput">Description:</label>
+                                    <textarea id="descriptionInput" rows="3" cols="54" data-dojo-type="dijit.form.SimpleTextarea" data-dojo-props="selectOnClick: true">This is the description in the info popups!</textarea>
+                                    <br/>
+                                    <label for="dateInput">Planned date:</label>
+                                    <input type="text" id="dateInput" data-dojo-type="dijit.form.DateTextBox" required="true" />
+                                </fieldset>
+
+                                <h3>Accounts</h3>
+                                <fieldset class="align">
+                                    <label for="accountsInput">Add new</label>
+                                    <input type="text" data-dojo-type="dijit.form.TextBox" data-dojo-props="placeHolder: 'Enter email address here...'" />
+                                    <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftBlockButton', class: 'green', iconClass: 'rftIcon rftIconPlus'">Invite</button>
+                                    <br/><br/>
+                                    <div data-dojo-type="rft.ui.List" data-dojo-props="region:'center'" style="width: 500px;">
+                                        <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'a.bezuijen@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
+                                        <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'i.mayer@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
+                                    </div>
+                                </fieldset>
+
+                                <button id="btnPropertiesDiscard" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconCancel'">Discard changes</button>
+                                <button id="btnPropertiesSave" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconAccept'">Save changes</button>
+
+
+                            </div>
+                            <div data-dojo-type="dijit.layout.ContentPane" title="Design">
+                                <!--DESIGN-->
+
+                                <div class="rftSessionObject green">
+                                    <div class="rftIcon rftIconSurvey"></div>
+                                    <label>Survey name</label>
+                                </div>
+                                <div class="rftSessionObject green">
+                                    <div class="rftIcon rftIconSurvey"></div>
+                                    <label>Survey name, this one is really long.</label>
+                                </div>
+
+                            </div>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </body>
+</html>
Index: Dev/branches/rest-dojo-ui/client/mSessions.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/mSessions.html	(revision 345)
+++ Dev/branches/rest-dojo-ui/client/mSessions.html	(revision 346)
@@ -68,24 +68,32 @@
             
             function createInstance(args) {
-            // Create a template instance in the "Sessions" tab
-            debugger;
-            var args;
-            args.objectType = "Session";
-            var d = new Date();
-            var dateString = d.getDate()+"-"+d.getMonth()+"-"+d.getFullYear();
-            var creator = "Igor Mayer"; // Use currently logged in profile instead!
-            args.subTitle = "Created on "+dateString+" by "+creator;
+                // Create a template instance in the "Sessions" tab
+                var args;
+                args.objectType = "Session";
+                var d = new Date();
+                var dateString = d.getDate()+"-"+d.getMonth()+"-"+d.getFullYear();
+                var creator = "Igor Mayer"; // Use currently logged in profile instead!
+                args.subTitle = "Created on "+dateString+" by "+creator;
             
-            args.actions = {
-                        "edit": function() {},
-                        "delete": function() {}
-                    }
-            var newBox = new rft.ui.ObjectBox(args);
-            newBox.startup();
-            newBox.placeAt("containerSessions", "last");
-            // TODO: Then switch tabs to the Sessions tab!
+                args.actions = {
+                    "edit": function() {},
+                    "delete": function() {}
+                }
+                var newBox = new rft.ui.ObjectBox(args);
+                newBox.startup();
+                newBox.placeAt("containerSessions", "last");
+                debugger;
+
+                // TODO: Then switch tabs to the Sessions tab!
+                var sess = dijit.byId("dijit_layout_ContentPane_5");
+                dijit.byId("tabs").selectChild(sess);
             }
             
             
+        </script>
+        <script>
+            function goToPage(name) {
+                window.location = "http://localhost/RESEARCHTOOL/Dev/branches/rest-dojo-ui/client/"+name+".html";
+            }
         </script>
 
@@ -113,16 +121,17 @@
                     </div>
                     <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'">
-                        <div data-dojo-type="dijit.layout.TabContainer" class="green" data-dojo-props="tabPosition:'left-h',region:'center'">
+                        <div data-dojo-type="dijit.layout.TabContainer" class="green" data-dojo-props="tabPosition:'left-h',region:'center'" id="tabs">
                             <div data-dojo-type="dijit.layout.BorderContainer" title="Templates">
                                 <div id="containerTemplates" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'center'">
-                                    <div data-dojo-type="rft.ui.ObjectBox" data-dojo-props="actions: {'edit': function(){alert('Custom edit code');}, 'New Command': function(){alert('newCommand');}, 'publish': createInstance}"></div>
+                                    <!--TODO: These don't allow for custom icon settings yet! -->
+                                    <div data-dojo-type="rft.ui.ObjectBox" data-dojo-props="actions: {'edit': function(){alert('Custom edit code');}, 'delete':function(){}, 'Custom function': function(){alert('newCommand');}, 'publish': createInstance}"></div>
                                 </div>
                                 <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'bottom'" style="height: 40px;">
-                                    <div data-dojo-type="dijit.form.Button" data-dojo-props="region: 'bottom', baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconSession', onClick: createNew">Create new session</div>
+                                    <div data-dojo-type="dijit.form.Button" data-dojo-props="region: 'bottom', baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconSessionTemplate', onClick: createNew">Create new template</div>
                                 </div>
                             </div>
                             <div data-dojo-type="dijit.layout.ContentPane" title="Sessions">
                                 <div id="containerSessions" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'center'">
-                                    
+
                                 </div>
                                 <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'bottom'" style="height: 40px;">
Index: Dev/branches/rest-dojo-ui/client/mSurvey.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/mSurvey.html	(revision 345)
+++ Dev/branches/rest-dojo-ui/client/mSurvey.html	(revision 346)
@@ -48,4 +48,9 @@
             });
         </script>
+        <script>
+            function goToPage(name) {
+                window.location = "http://localhost/RESEARCHTOOL/Dev/branches/rest-dojo-ui/client/"+name+".html";
+            }
+        </script>
     </head>
     <body class="dijitReset claro">
@@ -96,9 +101,4 @@
                                 <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat three'"></div>
                                 <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat four'"></div>
-
-                                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconSettings'">Properties</button>
-                                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconPreview'">Preview</button>
-                                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconCancel'">Cancel</button>
-                                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconAccept'">Accept changes</button>
                             </div>
                         </div>
@@ -114,4 +114,11 @@
                             <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'Question two', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
                         </div>
+                        <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'bottom'">
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconSettings'">Settings</button>
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconAccept'">Save Changes</button>
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconCancel'">Discard changes</button>
+                                                        <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconPreview'">Preview</button>
+
+                        </div>
                     </div>
                 </div>
Index: Dev/branches/rest-dojo-ui/client/rft/css/layout.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/layout.css	(revision 345)
+++ Dev/branches/rest-dojo-ui/client/rft/css/layout.css	(revision 346)
@@ -261,2 +261,16 @@
 }
 
+
+/* Inputs */
+fieldset {
+    border: none;
+}
+fieldset.align input,
+fieldset.align .dijitTextBox,
+fieldset.align textarea {
+    margin-left: 0;
+}
+fieldset.align label {
+    display: inline-block;
+    width: 100px !important;
+}
Index: Dev/branches/rest-dojo-ui/client/rft/css/main.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/main.css	(revision 345)
+++ Dev/branches/rest-dojo-ui/client/rft/css/main.css	(revision 346)
@@ -9,2 +9,3 @@
 @import url('rftSelector.css');
 @import url('rftObjectBox.css');
+@import url('sessionEditor.css');
Index: Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css	(revision 345)
+++ Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css	(revision 346)
@@ -238,5 +238,5 @@
     height: 100px;
 }
-.claro .oneHeight .dijitButtonContents {
+.claro .oneHeight .dijitButtonNode {
     margin: 34px 0 0 0;
 }
@@ -244,5 +244,5 @@
     height: 200px;
 }
-.claro .twoHeight .dijitButtonContents {
+.claro .twoHeight .dijitButtonNode {
     margin: 82px 0 0 0;
 }
@@ -250,5 +250,5 @@
     height: 400px;
 }
-.claro .fourHeight .dijitButtonContents {
+.claro .fourHeight .dijitButtonNode {
     margin: 184px 0 0 0;
 }
Index: Dev/branches/rest-dojo-ui/client/rft/css/sessionEditor.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/sessionEditor.css	(revision 346)
+++ Dev/branches/rest-dojo-ui/client/rft/css/sessionEditor.css	(revision 346)
@@ -0,0 +1,37 @@
+.rftSessionObject {
+    width: 100px;
+    height: 100px;
+    background: #999999;
+    margin: 16px;
+    display: inline-block;
+}
+.rftSessionObject .rftIcon {
+    width: 32px;
+    height: 32px;
+    margin: 8px 34px 0 34px;
+    background-image: url('images/icons/rftIcons32.png');
+}
+.rftSessionObject label {
+    float: left;
+    clear: both;
+    width: 100px;
+    margin: 0;
+    padding: 0;
+    text-align: center;
+    color: #ffffff;
+    overflow: hidden;
+}
+
+/* Colours */
+.rftSessionObject.blue {
+    background: #0072bc;
+}
+.rftSessionObject.blue.selected {
+    background: #0794d1;
+}
+.rftSessionObject.green {
+    background: #3aa605;
+}
+.rftSessionObject.green.selected {
+    background: #79ca0a;
+}
Index: Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 345)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 346)
@@ -16,5 +16,5 @@
                 this.subTitle = "";
                 this.lowerTitle = "";
-                this.objectType = "SessionActive";
+                this.objectType = "SessionTemplate";
                 this.actions = {}
                 