Index: /Dev/branches/rest-dojo-ui/client/rft/pages/session.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/pages/session.html	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/pages/session.html	(revision 350)
@@ -30,6 +30,6 @@
                         <br/><br/>
                         <div data-dojo-type="rft.ui.List" data-dojo-props="region:'center'" style="width: 500px;">
-                            <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'a.bezuijen@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
-                            <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'i.mayer@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
+                            <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-props="title:'a.bezuijen@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
+                            <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-props="title:'i.mayer@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
                         </div>
                     </fieldset>
Index: /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html	(revision 350)
@@ -1,3 +1,3 @@
-<div>
+<div data-dojo-type="rft.pages.sessions">
     <script>
         function createNew(){
@@ -50,8 +50,8 @@
                     <div id="containerTemplates" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'center'">
                         <!--TODO: These don't allow for custom icon settings yet! -->
-                        <div data-dojo-type="rft.ui.ObjectBox" data-dojo-props="actions: {'edit': function(){alert('Custom edit code');}, 'delete':function(){}, 'Custom function': function(){alert('newCommand');}, 'publish': createInstance}"></div>
+                        <div data-dojo-type="rft.ui.ObjectBox" data-dojo-props="actions: {'edit': function(){alert('Custom edit code');}, 'delete':function(){}, 'Custom function': function(){alert('newCommand');}, 'publish': function(){alert('createInstance');}}"></div>
                     </div>
                     <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'bottom'" style="height: 40px;">
-                        <div data-dojo-type="dijit.form.Button" data-dojo-props="region: 'bottom', baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconSessionTemplate', onClick: createNew">Create new template</div>
+                        <div data-dojo-type="dijit.form.Button" data-dojo-props="region: 'bottom', baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconSessionTemplate', onClick: function(){alert('createNew');}">Create new template</div>
                     </div>
                 </div>
Index: /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js	(revision 350)
+++ /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js	(revision 350)
@@ -0,0 +1,36 @@
+define(['dojo/_base/declare','dojo/_base/lang','dojo/_base/Deferred','dojo/data/ObjectStore','rft/auth','rft/store','rft/content','rft/ui/_Page'],
+    function(declare,lang,Deferred,ObjectStore,auth,store,content,_Page){
+        return declare('rft.pages.sessions',[_Page],{
+            selectedObject: null,
+            onVisit: function() {
+                this.grid.setStore(
+                    ObjectStore({objectStore: store}),
+                    "_design/default/_view/by_type",{key:'Survey'});
+                
+                this.grid.on('rowclick',lang.hitch(this,function(evt){
+                    this.selectedObject = evt.grid.getItem(evt.rowIndex);
+                    this.btnEdit.set('disabled',!this.selectedObject);
+                }));
+
+                this.grid.on('rowdblclick',lang.hitch(this,function(evt){
+                    var obj = evt.grid.getItem(evt.rowIndex);
+                    content.goTo('/survey',{uid:store.getIdentity(obj)});
+                }));
+                                
+                this.btnNew.on('click',lang.hitch(this,function(){
+                    Deferred.when( store.add({type:'Survey',creator:auth.getUser()}) )
+                    .then(function(obj) {
+                        content.goTo('/survey',{uid:store.getIdentity(obj)});
+                    });
+                }));
+
+                this.btnEdit.on('click',lang.hitch(this,function(){
+                    if ( this.selectedObject ) {
+                        content.goTo('/survey',{uid:store.getIdentity(this.selectedObject)});
+                    }
+                    
+                }));
+            }
+        });
+    });
+
Index: /Dev/branches/rest-dojo-ui/client/rft/pages/survey.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/pages/survey.html	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/pages/survey.html	(revision 350)
@@ -13,24 +13,24 @@
             <div data-dojo-type="dijit.layout.TabContainer" class="blue" data-dojo-props="tabPosition:'left-h',region:'center'">
                 <div data-dojo-type="dijit.layout.ContentPane" title="Category One, this is a very long title to see how overflow works. This part is cut off because it passes two lines at 200px wide.">
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one'"></div>
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat one'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat two'"></div>
                 </div>
                 <div data-dojo-type="dijit.layout.ContentPane" title="Category Two">
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one'"></div>
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat one'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat two'"></div>
                 </div>
                 <div data-dojo-type="dijit.layout.ContentPane" title="Category Three">
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat one'"></div>
                 </div>
                 <div data-dojo-type="dijit.layout.ContentPane" title="Category Four">
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Green Question Subcat one'"></div>
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two'"></div>
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat three'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Green Question Subcat one'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat two'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat three'"></div>
                 </div>
                 <div data-dojo-type="dijit.layout.ContentPane" title="Category Five">
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat one'"></div>
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat two'"></div>
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat three'"></div>
-                    <div data-dojo-type="rft.ui.SelectorThijs" data-dojo-props="Title:'Subcat four'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat one'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat two'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat three'"></div>
+                    <div data-dojo-type="rft.ui.Selector" data-dojo-props="Title:'Subcat four'"></div>
                 </div>
             </div>
@@ -43,6 +43,6 @@
             <div data-dojo-type="rft.ui.List" data-dojo-props="region:'center'">
                 <!-- These would have to be dynamically generated instead of declared here! -->
-                <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'Question one', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
-                <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-props="title:'Question two', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
+                <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-props="title:'Question one', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
+                <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-props="title:'Question two', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
             </div>
             <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'bottom'">
Index: /Dev/branches/rest-dojo-ui/client/rft/run.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/run.js	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/run.js	(revision 350)
@@ -34,13 +34,12 @@
     'rft/ui/Notifications',
     'rft/ui/LineWithActionsWidget',
+    'rft/ui/ObjectBox',
     'rft/ui/QuestionWidget',
+    'rft/ui/Selector',
     'rft/ui/TitleGroup',
-    
-    // Thijs mods, to be merged
-    'rft/ui/SelectorThijs',
-    'rft/ui/LineWithActionsWidgetThijs',
     
     // pages -> load dynamically?
     'rft/pages/questions',
+    'rft/pages/sessions',
     'rft/pages/surveys',
     'rft/pages/survey',
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidget.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidget.js	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/LineWithActionsWidget.js	(revision 350)
@@ -1,10 +1,12 @@
-define(['dojo/_base/declare','dojo/_base/lang','dojo/on','dojo/dom','dijit/form/Button',
+define(['dojo/_base/declare','dojo/_base/lang','dojo/on','dojo/dom', 'dojo/dom-class', 'dijit/form/Button',
     'dijit/_WidgetBase','dijit/_TemplatedMixin','dijit/_WidgetsInTemplateMixin',
-    'dojo/text!./templates/LineWithActionsWidget.html'],
-    function(declare,lang,on,dom,Button,_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,templateString){
+    'dojo/text!./templates/LineWithActionsWidget.html'
+    ],
+    function(declare,lang,on,dom,domClass,Button,_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,templateString){
         return declare('rft.ui.LineWithActionsWidget',[_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin],{
             templateString: templateString,
             baseClass: 'rftLineWithButtons',
             title: '',
+            modifiers: "blue",
             userObject: null,
             actions: {},
@@ -16,16 +18,34 @@
                 this.inherited(arguments);
                 this._setupActions();
+                domClass.add(this.domNode, this.modifiers);
                 this.refresh();
             },
             _setupActions: function() {
                 for (var action in this.actions) {
-                    new Button({
-                        label: action,
-                        //iconClass: 'dijitIconSearch',
-                        //showLabel: false,
-                        onClick: lang.hitch(this,function(){
-                            this.actions[action](this.userObject);
-                        })
-                    }).placeAt(this.buttonsNode);
+                    var properties;
+                    if (this.actions[action].properties.blockButton == true) {  // BlockButton
+                        properties = lang.mixin({
+                            baseClass: 'rftBlockButton',
+                            modifiers: this.modifiers,
+                            label: "Default",
+                            iconClass: 'rftIcon rftIcon'+this.actions[action].properties.icon,
+                            title: action,
+                            onClick: lang.hitch(this, this.actions[action].callback)
+                        }, this.actions[action].properties);
+                        properties["class"] = properties.modifiers;
+                        new Button(properties).placeAt(this.buttonsNode);
+                    } else {    //InlineButton
+                        properties = lang.mixin({
+                            baseClass: 'rftInlineButton',
+                            modifiers: 'black',
+                            label: "Default",
+                            showLabel: false,
+                            iconClass: 'rftIcon rftIcon'+this.actions[action].properties.icon,
+                            title: action,
+                            onClick: lang.hitch(this, this.actions[action].callback)
+                        }, this.actions[action].properties);
+                        properties["class"] = properties.modifiers;
+                        new Button(properties).placeAt(this.buttonsNode);
+                    }
                 }
             },
@@ -40,5 +60,9 @@
                 return !preventDefault;
             },
-            onClick: function(e) {}
+            onClick: function(e) {},
+            _setTitleAttr: function(value){
+                this.title = value;
+                this.refresh();
+            }
         });
     });
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 350)
@@ -5,7 +5,7 @@
     'dijit/_TemplatedMixin',
     'dijit/_WidgetsInTemplateMixin',
-    'rft/ui/LineWithActionsWidgetThijs',
+    'rft/ui/LineWithActionsWidget',
     'dojo/text!./templates/ObjectBox.html',
-    ], function(declare, lang, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, LineWithActionsWidgetThijs, template){
+    ], function(declare, lang, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, LineWithActionsWidget, template){
         return declare('rft.ui.ObjectBox', [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], {
             baseClass: "rftObjectBox",
@@ -21,5 +21,5 @@
             },
             postCreate: function() {
-                this.line1 = new LineWithActionsWidgetThijs({
+                this.line1 = new LineWithActionsWidget({
                     title: this.title || "Untitled",
                     modifiers: 'green',
@@ -35,5 +35,5 @@
                     }
                 }).placeAt(this.line1Node);
-                this.line2 = new LineWithActionsWidgetThijs({
+                this.line2 = new LineWithActionsWidget({
                     title: this.subTitle || "",
                     modifiers: 'green',
@@ -41,5 +41,5 @@
                 }).placeAt(this.line1Node);
                 var line3Actions = this._createLine3Actions();
-                this.line3 = new LineWithActionsWidgetThijs({
+                this.line3 = new LineWithActionsWidget({
                     title: this.lowerTitle || "",
                     modifiers: 'green',
@@ -101,46 +101,46 @@
         },
         _editObject: function(customFunction) {
-                // TODO: Pass an edit call to the page script, along with reference to the object contained in this ObjectBox
-                alert("Default edit code");
-                customFunction();
-            },
-            _deleteObject: function(customFunction) {
-                // TODO: Pass a delete call to the page script, along with reference to the object contained in this ObjectBox
-                customFunction();
-            },
+            // TODO: Pass an edit call to the page script, along with reference to the object contained in this ObjectBox
+            alert("Default edit code");
+            customFunction();
+        },
+        _deleteObject: function(customFunction) {
+            // TODO: Pass a delete call to the page script, along with reference to the object contained in this ObjectBox
+            customFunction();
+        },
             
             
-            _setTitleAttr: function(value) {
-                this.title = value;
-                if (this.line1 && this.line1.set) {
-                    this.line1.set('title', this.title);
-                }
-            },
-            _setSubTitleAttr: function(value) {
-                this.subTitle = value;
-                if (this.line2 && this.line2.set) {
-                    this.line2.set('title', this.subTitle);
-                }
-            },
-            _setLowerTitleAttr: function(value) {
-                this.lowerTitle = value;
-                if (this.line3 && this.line3.set) {
-                    this.line3.set('title', this.lowerTitle);
-                }
-            },
-            _setObjectTypeAttr: function(value) {
-                this.objectType = value;
-                this.iconNode.className = "rftIcon typeIcon rftIcon"+this.objectType;
-            },
+        _setTitleAttr: function(value) {
+            this.title = value;
+            if (this.line1 && this.line1.set) {
+                this.line1.set('title', this.title);
+            }
+        },
+        _setSubTitleAttr: function(value) {
+            this.subTitle = value;
+            if (this.line2 && this.line2.set) {
+                this.line2.set('title', this.subTitle);
+            }
+        },
+        _setLowerTitleAttr: function(value) {
+            this.lowerTitle = value;
+            if (this.line3 && this.line3.set) {
+                this.line3.set('title', this.lowerTitle);
+            }
+        },
+        _setObjectTypeAttr: function(value) {
+            this.objectType = value;
+            this.iconNode.className = "rftIcon typeIcon rftIcon"+this.objectType;
+        },
 
-            /* This is an experiment to embed the creation function in the ObjectBox class itself. This method cannot be static, but can be called externally as such:
-             * rft.ui.ObjectBox().CreateNew(args, ref, loc);
-             * TODO: Check with Hendrik if I should do this or not!
-             * */
-             CreateNew: function(arguments, reference, location) {
-                var newBox = new rft.ui.ObjectBox(arguments);
-                newBox.startup();
-                newBox.placeAt(reference, location);
-            }
-        });
+        /* This is an experiment to embed the creation function in the ObjectBox class itself. This method cannot be static, but can be called externally as such:
+         * rft.ui.ObjectBox().CreateNew(args, ref, loc);
+         * TODO: Check with Hendrik if I should do this or not!
+         * */
+         CreateNew: function(arguments, reference, location) {
+            var newBox = new rft.ui.ObjectBox(arguments);
+            newBox.startup();
+            newBox.placeAt(reference, location);
+        }
+    });
 });
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js	(revision 350)
@@ -8,5 +8,6 @@
     'dijit/_Container',
     './LineWithActionsWidget',
-    'dojo/text!./templates/Selector.html'
+    'dojo/text!./templates/Selector.html',
+    'dojo/dom-class'
     ],function(
         declare,
@@ -18,5 +19,6 @@
         _Container,
         LineWithActionsWidget,
-        templateString
+        templateString,
+        domClass
         ){
         return declare('rft.ui.Selector',[_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
@@ -24,5 +26,8 @@
             title: "The professional as a participant",
             baseClass: 'rftSelector',
+            modifiers: 'blue',    // Extra CSS classes
             postCreate: function() {
+                domClass.add(this.domNode, this.modifiers);
+                domClass.add(this.selectedColorNode, "pending");
                 var infoFunction = function() {
                     alert("Show info here");
@@ -30,34 +35,62 @@
                 new LineWithActionsWidget({
                     title: this.title,
+                    modifiers: this.modifiers,
                     actions: {
-                        "Select" : function(){}
+                        "AddToSurvey" : {
+                            callback: function(arg){},
+                            properties: {
+                                blockButton: true,
+                                modifiers: this.modifiers,
+                                icon: "Accept",
+                                label: "Include"
+                            }
+                        }
                     }
                 },this.titleNode);
-                new LineWithActionsWidget({
+                var selectorLine = new LineWithActionsWidget({
                     title: 'None',
+                    modifiers: this.modifiers,
                     actions: {
-                        "V" : lang.hitch(this,function(){
-                            var node = this.optionsNode;
-                            var show = fx.wipeIn({
-                                node: node
-                            });
-                            var hide = fx.wipeOut({
-                                node: node
-                            });
-                            hide.play();
-                            var folded = true;
-                            return function(e) {
-                                if ( folded ) {
-                                    show.play();
-                                    folded = false;
-                                } else {
-                                    hide.play();
-                                    folded = true;
+                        "ToggleDropdown" : {
+                            callback: lang.hitch(this,function(){
+                                var node = this.optionsNode;
+                                var show = fx.wipeIn({
+                                    node: node
+                                });
+                                var hide = fx.wipeOut({
+                                    node: node
+                                });
+                                hide.play();
+                                var folded = true;
+                                return function(e) {
+                                    if ( folded ) {
+                                        // Bit of an ugly solution, really. Limit workload by limiting search to child elements of selecorLine.buttonsNode
+                                        var downArrowIcon = dojo.query(".rftBlockButton .rftIconHalfArrowDown", selectorLine.buttonsNode)[0];  // Query the down arrow rftIcon span
+                                        if (downArrowIcon){
+                                            domClass.replace(downArrowIcon, "rftIconHalfArrowUp", "rftIconHalfArrowDown");
+                                        }
+                                        show.play();
+                                        folded = false;
+                                    } else {
+                                        // Bit of an ugly solution, really. Limit workload by limiting search to child elements of selecorLine.buttonsNode
+                                        var upArrowIcon = dojo.query(".rftBlockButton .rftIconHalfArrowUp", selectorLine.buttonsNode)[0];  // Query the up arrow rftIcon span
+                                        if (upArrowIcon){
+                                            domClass.replace(upArrowIcon, "rftIconHalfArrowDown", "rftIconHalfArrowUp");
+                                        }
+                                        hide.play();
+                                        folded = true;
                             
-                                }
-                                e.preventDefault();
-                                e.stopPropagation();
-                            };
-                        })()
+                                    }
+                                    e.preventDefault();
+                                    e.stopPropagation();
+                                };
+                            })(),
+                            properties: {
+                                blockButton: true,
+                                modifiers: this.modifiers,
+                                showLabel: false,
+                                icon: "HalfArrowDown"
+                            }
+                        }
                     }
                 },this.selectedItemNode);
@@ -65,17 +98,12 @@
                     title: 'Are there direct colleagues among the other participants?',
                     actions: {
-                        "i" : infoFunction
-                    }
-                }).placeAt(this.optionsNode);
-                new LineWithActionsWidget({
-                    title: 'Do you personally know ithers present at the current session?',
-                    actions: {
-                        "i" : infoFunction
-                    }
-                }).placeAt(this.optionsNode);
-                new LineWithActionsWidget({
-                    title: 'Have you worked with other participants before?',
-                    actions: {
-                        "i" : infoFunction
+                        "InfoHover" : {
+                            callback: infoFunction,
+                            properties: {
+                                blockButton: false,
+                                showLabel: false,
+                                icon: "Inspect"
+                            }
+                        }
                     }
                 }).placeAt(this.optionsNode);
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/templates/Selector.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/templates/Selector.html	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/templates/Selector.html	(revision 350)
@@ -1,4 +1,6 @@
 <div>
-    <div class="${baseClass}Title" data-dojo-attach-point="titleNode"></div>
+    <div class="${baseClass}Category">
+        <div class="${baseClass}Title" data-dojo-attach-point="titleNode"></div>
+    </div>
     <div class="${baseClass}Selected">
         <div class="${baseClass}Color" data-dojo-attach-point="selectedColorNode"></div>
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/templates/SessionBar.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/templates/SessionBar.html	(revision 349)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/templates/SessionBar.html	(revision 350)
@@ -1,5 +1,5 @@
 <div class="${baseClass}">
     <span class="rftIcon rftIconSession" data-dojo-attach-point="iconNode"></span>
-    <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-attach-point="upperNode" data-dojo-props="modifiers: 'green', actions: {'inspect':{callback: inspect, properties: {blockButton: true, modifiers: 'white'}}}"></div>
-    <div data-dojo-type="rft.ui.LineWithActionsWidgetThijs" data-dojo-attach-point="lowerNode"></div>
+    <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-attach-point="upperNode" data-dojo-props="modifiers: 'green', actions: {'inspect':{callback: inspect, properties: {blockButton: true, modifiers: 'white'}}}"></div>
+    <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-attach-point="lowerNode"></div>
 </div>