Index: Dev/branches/rest-dojo-ui/client/rft/css/layout.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/layout.css	(revision 357)
+++ Dev/branches/rest-dojo-ui/client/rft/css/layout.css	(revision 358)
@@ -11,10 +11,9 @@
 .claro {
     font-family: 'Segoe UI', Verdana, Arial, Helvetica, sans-serif;
-    color: #ffffff;
+    color: #000000;
 }
 
 /* Headings */
 .claro h1 {   
-    /* Main logo */
     float: left;
     clear: left;
@@ -30,4 +29,5 @@
 .claro h2 {
     /* Content pane title */
+    color: #ffffff;
     font-size: 22px;
     line-height: 30px;
Index: Dev/branches/rest-dojo-ui/client/rft/pages/index.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/index.html	(revision 357)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/index.html	(revision 358)
@@ -42,6 +42,8 @@
         'dojo/query',
         'dijit/registry',
-        'rft/content'
+        'rft/content',
+        'dojo/domReady!'
         ], function(on, query, registry, content){
+            debugger;
             registry.byId("btnSessionsCreate").on("click", function(){
                 content.goTo("sessions", null);
@@ -50,5 +52,5 @@
                 content.goTo("sessions", null);
             });
-            
+
             registry.byId("btnSurveys").on("click", function(){
                 content.goTo("surveys", null);
@@ -69,4 +71,4 @@
 
         });
-</script>
+    </script>
 </div>
Index: Dev/branches/rest-dojo-ui/client/rft/pages/questions.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/questions.html	(revision 357)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/questions.html	(revision 358)
@@ -1,5 +1,5 @@
 <div data-dojo-type="rft.pages.questions">
     <h1>Questions</h1>
-    <div data-dojo-type="dijit.form.Button" data-rft-attach-event="onClick:onNewQuestion">New question</div>
+    <div data-dojo-type="dijit.form.Button" data-rft-attach-event="onClick:onNewQuestion" data-dojo-props="baseClass: 'rftLargeButton', iconClass:'rftIcon rftIconQuestion'">New question</div>
     <div data-rft-attach-point="list">
     </div>
Index: Dev/branches/rest-dojo-ui/client/rft/pages/survey.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/survey.js	(revision 357)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/survey.js	(revision 358)
@@ -85,11 +85,9 @@
 			},
 			/* Store code */
-			GetQuestion: function(_id) {
+			getQuestion: function(_id) {
 				return this.questions.get(_id);
 			},
-			SetQuestion: function(question) {
+			setQuestion: function(question) {
 				return this.questions.put(question);
-			},
-			SyncStore: function() {
 			},
 			/* Browser code */
Index: Dev/branches/rest-dojo-ui/client/rft/pages/surveys.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/surveys.html	(revision 357)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/surveys.html	(revision 358)
@@ -1,6 +1,6 @@
 <div data-dojo-type="rft.pages.surveys">
-    <button data-dojo-type="dijit.form.Button" data-dojo-props="disabled: true" data-rft-attach-point="btnEdit">Edit</button>
-    <button data-dojo-type="dijit.form.Button" data-rft-attach-point="btnNew">New</button>
-    <div data-dojo-type="dojox.grid.DataGrid" data-dojo-props="autoWidth:true,autoHeight:true,structure:[{name:'Title',field:'title'}]"
-         data-rft-attach-point="grid"></div>
+	<button data-dojo-type="dijit.form.Button" class="blue" data-dojo-props="disabled: true, baseClass: 'rftBlockButton', iconClass: 'rftIcon rftIconEdit'" data-rft-attach-point="btnEdit">Edit</button>
+	<button data-dojo-type="dijit.form.Button" class="blue" data-dojo-props="baseClass: 'rftBlockButton', iconClass: 'rftIcon rftIconPlus'" data-rft-attach-point="btnNew">New</button>
+	<div data-dojo-type="dojox.grid.DataGrid" data-dojo-props="autoWidth:true,autoHeight:true,structure:[{name:'Title',field:'title'}]"
+	data-rft-attach-point="grid"></div>
 </div>
Index: Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js	(revision 357)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js	(revision 358)
@@ -17,5 +17,5 @@
                     content.goTo('/survey',{uid:store.getIdentity(obj)});
                 }));
-                                
+                
                 this.btnNew.on('click',lang.hitch(this,function(){
                     Deferred.when( store.add({type:'Survey',creator:auth.getUser()}) )
@@ -33,4 +33,4 @@
             }
         });
-    });
+});
 
Index: Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js	(revision 357)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/Selector.js	(revision 358)
@@ -72,5 +72,4 @@
             },
             _toggleDropdown: function() {
-
                 var node = this.optionsNode;
                 var show = fx.wipeIn({
@@ -104,5 +103,5 @@
             },
             addQuestion: function(questionId) {
-                var question = this.controller.GetQuestion(questionId);
+                var question = this.controller.getQuestion(questionId);
                 if (question) {
                     var w = new LineWithActionsWidget({
@@ -121,5 +120,5 @@
                     });
                     w.placeAt(this.optionsNode);
-                    w.on("Click", lang.hitch(this, function(){
+                    w.on("click", lang.hitch(this, function(){
                         this.selectQuestion(questionId);
                         this._toggleDropdown();
@@ -129,5 +128,5 @@
             },
             infoFunction: function(selector) {
-                var question = selector.controller.GetQuestion(this.questionId);
+                var question = selector.controller.getQuestion(this.questionId);
                 console.log(question);
                 alert("Some info here!");
@@ -142,5 +141,5 @@
             selectQuestion: function(questionId) {
                 /* TODO: TEST THOROUGHLY! */
-                var question = this.controller.GetQuestion(questionId);
+                var question = this.controller.getQuestion(questionId);
                 if (question) {
                     this.currentlySelectedId = questionId;
Index: Dev/branches/rest-dojo-ui/client/rft/ui/SurveyListView.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/SurveyListView.js	(revision 357)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/SurveyListView.js	(revision 358)
@@ -73,5 +73,5 @@
 			creatorMethod: function(controller, listView, item, hint) {
 				var node,
-				object = controller.GetQuestion(item);
+				object = controller.getQuestion(item);
 				if (!object) {
 					return false;
@@ -100,5 +100,5 @@
 							"Info" : {
 								callback: function(){
-									var question = controller.GetQuestion(item);
+									var question = controller.getQuestion(item);
 									console.log(question);
 									alert("info goes here yo!");