Index: Dev/branches/rest-dojo-ui/client/index.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/index.html	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/index.html	(revision 359)
@@ -15,5 +15,5 @@
         <div class="page" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'center'">
             <div class="topbar" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
-                <h1>ResearchTool</h1>
+                <a href="#!/index"><h1>ResearchTool</h1></a>
                 <div data-dojo-type="rft.ui.MainMenu"></div>
                 <div class="breadcrumbs">
Index: Dev/branches/rest-dojo-ui/client/rft/pages/index.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/index.html	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/index.html	(revision 359)
@@ -1,3 +1,3 @@
-<div>
+<div data-dojo-type="rft.pages.index">
     <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'" style="height: 600px;">
         <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
@@ -14,6 +14,6 @@
                     <span class="rftIcon rftIconSession"></span><span class="label">Sessions</span>
                 </div>
-                <button id="btnContentCreate" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'green twoHeight', iconClass: 'rftIcon rftIconPlus'">Create and edit</button>
-                <button id="btnContentFacilitate" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'green twoHeight', iconClass: 'rftIcon rftIconForward'">Facilitate</button>
+                <button data-rft-attach-point="btnContentCreate" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'green twoHeight', iconClass: 'rftIcon rftIconPlus'">Create and edit</button>
+                <button data-rft-attach-point="btnContentFacilitate" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'green twoHeight', iconClass: 'rftIcon rftIconForward'">Facilitate</button>
             </div>
 
@@ -22,8 +22,8 @@
                     <span class="rftIcon rftIconInspect"></span><span class="label">Content</span>
                 </div>
-                <button id="btnSurveys" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'blue oneHeight', iconClass: 'rftIcon rftIconSurvey'">Surveys</button>
-                <button id="btnQuestions" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'orange oneHeight', iconClass: 'rftIcon rftIconQuestion'">Questions</button>
-                <button id="btnApplications" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'purple oneHeight', iconClass: 'rftIcon rftIconApplication'">Applications</button>
-                <button id="btnDashboards" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'red oneHeight', iconClass: 'rftIcon rftIconDashboard'">Dashboards</button>
+                <button data-rft-attach-point="btnSurveys" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'blue oneHeight', iconClass: 'rftIcon rftIconSurvey'">Surveys</button>
+                <button data-rft-attach-point="btnQuestions" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'orange oneHeight', iconClass: 'rftIcon rftIconQuestion'">Questions</button>
+                <button data-rft-attach-point="btnApplications" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'purple oneHeight', iconClass: 'rftIcon rftIconApplication'">Applications</button>
+                <button data-rft-attach-point="btnDashboards" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'red oneHeight', iconClass: 'rftIcon rftIconDashboard'">Dashboards</button>
             </div>
 
@@ -32,5 +32,5 @@
                     <span class="rftIcon rftIconGameData"></span><span class="label">Results</span>
                 </div>
-                <button id="btnResults" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'blue fourHeight', iconClass: 'rftIcon rftIconGameData'">Results</button>
+                <button data-rft-attach-point="btnResults" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftIndexMenuButton', class: 'blue fourHeight', iconClass: 'rftIcon rftIconGameData'">Results</button>
             </div>
         </div>
Index: Dev/branches/rest-dojo-ui/client/rft/pages/index.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/index.js	(revision 359)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/index.js	(revision 359)
@@ -0,0 +1,16 @@
+define(['dojo/_base/declare','dojo/_base/lang','rft/content','rft/ui/_Page'],
+    function(declare,lang,content,_Page){
+        return declare('rft.pages.index',[_Page],{
+            selectedObject: null,
+            onVisit: function() {
+                this.btnContentCreate.on("click",function(){ content.goTo("sessions"); });
+                this.btnContentFacilitate.on("click",function(){ content.goTo("run"); });
+                this.btnSurveys.on("click",function(){ content.goTo("surveys"); });
+                this.btnQuestions.on("click",function(){ content.goTo("questions"); });
+                this.btnApplications.on("click",function(){ content.goTo("applications"); });
+                this.btnDashboards.on("click",function(){ content.goTo("dashboards"); });
+                this.btnResults.on("click",function(){ content.goTo("results"); });
+            }
+        });
+    });
+
Index: Dev/branches/rest-dojo-ui/client/rft/pages/session.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/session.html	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/session.html	(revision 359)
@@ -1,8 +1,8 @@
-<div>
+<div data-dojo-type="rft.pages.session">
     <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'" style="height: 500px;">
         <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
             <h2>
                 <span class="rftIcon rftIconSurvey"></span>
-                <span class="headerText">Teamup Session 15-5-2012 [editing]</span>
+                <span data-rft-attach-point="titleNode" class="headerText">Untitled</span><span class="headerText"> [editing]</span>
             </h2>
         </div>
@@ -10,32 +10,34 @@
             <div data-dojo-type="dijit.layout.TabContainer" class="green" data-dojo-props="tabPosition:'left-h',region:'center'">
                 <div data-dojo-type="dijit.layout.ContentPane" title="Properties">
-                    <!--PROPERTIES-->
-                    <h3>Basic</h3>
-                    <fieldset class="align">
-                        <label for="titleInput">Title:</label>
-                        <input type="text" data-rft-attach-point="titleInput" data-dojo-type="dijit.form.TextBox" data-dojo-props="placeHolder: 'Enter title here'" />
-                        <br/>
-                        <label for="descriptionInput">Description:</label>
-                        <textarea data-rft-attach-point="descriptionInput" rows="3" cols="54" data-dojo-type="dijit.form.SimpleTextarea" data-dojo-props="selectOnClick: true">This is the description in the info popups!</textarea>
-                        <br/>
-                        <label for="dateInput">Planned date:</label>
-                        <input type="text" data-rft-attach-point="dateInput" data-dojo-type="dijit.form.DateTextBox" required="true" />
-                    </fieldset>
+                    <div data-dojo-type="dijit.form.Form" data-rft-attach-point="propertiesForm" data-rft-attach-event="onSubmit:onSave">
 
-                    <h3>Accounts</h3>
-                    <fieldset class="align">
-                        <label for="accountsInput">Add new</label>
-                        <input type="text" data-dojo-type="dijit.form.TextBox" data-dojo-props="placeHolder: 'Enter email address here...'" />
-                        <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftBlockButton', class: 'green', iconClass: 'rftIcon rftIconPlus'">Invite</button>
-                        <br/><br/>
-                        <div data-dojo-type="rft.ui.List" data-dojo-props="region:'center'" style="width: 500px;">
-                            <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-props="title:'a.bezuijen@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
-                            <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-props="title:'i.mayer@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
-                        </div>
-                    </fieldset>
+                        <h3>Basic</h3>
+                        <fieldset class="align">
+                            <label for="titleInput">Title</label>
+                            <input type="text" name="title" data-dojo-type="dijit.form.TextBox" data-dojo-props="placeHolder: 'Enter title here'" />
+                            <br/>
+                            <label for="descriptionInput">Description</label>
+                            <textarea name="description" rows="3" cols="54" data-dojo-type="dijit.form.SimpleTextarea" data-dojo-props="selectOnClick: true, placeHolder: 'Description shown in tooltips'"></textarea>
+                            <br/>
+                            <label for="dateInput">Planned date</label>
+                            <input type="text" name="plannedDate" data-dojo-type="dijit.form.DateTextBox" required="required" />
+                        </fieldset>
 
-                    <button data-rft-attach-point="btnPropertiesDiscard" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconCancel'">Discard changes</button>
-                    <button data-rft-attach-point="btnPropertiesSave" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconAccept'">Save changes</button>
+                        <h3>Accounts</h3>
+                        <fieldset class="align">
+                            <label for="accountsInput">Add new</label>
+                            <input type="text" data-dojo-type="dijit.form.TextBox" data-dojo-props="placeHolder: 'Enter email address here...'" />
+                            <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftBlockButton', class: 'green', iconClass: 'rftIcon rftIconPlus'">Invite</button>
+                            <br/><br/>
+                            <div data-dojo-type="rft.ui.List" data-dojo-props="region:'center'" style="width: 500px;">
+                                <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-props="title:'a.bezuijen@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
+                                <div data-dojo-type="rft.ui.LineWithActionsWidget" data-dojo-props="title:'i.mayer@tudelft.nl', modifiers: 'green', actions: {'Cancel':{callback: function(){}, properties: {blockButton: false, icon: 'Delete', modifiers:'white'}}}"></div>
+                            </div>
+                        </fieldset>
 
+                        <button data-rft-attach-point="btnPropertiesDiscard" data-dojo-type="dijit.form.Button" data-rft-attach-event="onClick:onDiscard" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconCancel'">Discard changes</button>
+                        <button data-rft-attach-point="btnPropertiesSave" data-dojo-type="dijit.form.Button" data-rft-attach-event="onClick:onSave" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconAccept'">Save changes</button>
+
+                    </div>
 
                 </div>
Index: Dev/branches/rest-dojo-ui/client/rft/pages/session.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/session.js	(revision 359)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/session.js	(revision 359)
@@ -0,0 +1,46 @@
+define(['dojo/_base/declare',
+	'dojo/_base/lang',
+	'dojo/_base/event',
+	'dojo/_base/Deferred',
+	'rft/store',
+	'rft/ui/_Page',
+	'rft/content'],
+	function(declare,lang,event,Deferred,store,_Page,content){
+		return declare('rft.pages.session',[_Page],{
+			session: null,
+			onVisit: function() {
+				if ( this.pageArgs.uid ) {
+					Deferred.when(store.get(this.pageArgs.uid))
+					.then(lang.hitch(this,function(obj){
+						this.session = obj;
+                        this._refresh();
+					}));
+				} else {
+					throw "No valid uid or survey passed!";
+				}
+			},
+			onLeave: function() {
+				this.inherited(arguments);
+			},
+            _refresh: function() {
+                this.titleNode.innerHTML = this.session.title || '';
+                this.propertiesForm.set('value',this.session);
+            },
+            onSave: function(evt) {
+                lang.mixin(this.session,this.propertiesForm.get('value'));
+                store.put(this.session)
+                .then(function(){
+                    content.goTo('sessions');
+                });
+                event.stop(evt);
+                return false;
+            },
+            onDiscard: function(evt) {
+                this.propertiesForm.reset();
+                event.stop(evt);
+                content.goTo('sessions');
+                return false;
+            }
+		});
+});
+
Index: Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html	(revision 359)
@@ -8,6 +8,6 @@
         </div>
         <div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'">
-            <div data-dojo-type="dijit.layout.TabContainer" class="green" data-dojo-props="tabPosition:'left-h',region:'center'">
-                <div data-dojo-type="dijit.layout.BorderContainer" title="Templates">
+            <div data-rft-attach-point="tabContainer" data-dojo-type="dijit.layout.TabContainer" class="green" data-dojo-props="tabPosition:'left-h',region:'center'">
+                <div data-dojo-type="dijit.layout.BorderContainer" title="Templates" data-rft-attach-point="templatesTab">
                     <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'center'" data-rft-attach-point="containerTemplates">
                     </div>
@@ -16,5 +16,5 @@
                     </div>
                 </div>
-                <div data-dojo-type="dijit.layout.ContentPane" title="Sessions">
+                <div data-dojo-type="dijit.layout.ContentPane" title="Sessions" data-rft-attach-point="sessionsTab">
                     <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'center'" data-rft-attach-point="containerSessions">
                     </div>
Index: Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js	(revision 359)
@@ -2,6 +2,30 @@
     function(declare,lang,store,content,_Page,ObjectBox){
         return declare('rft.pages.sessions',[_Page],{
-            selectedObject: null,
+            templateActions: null,
+            sessionActions: null,
             onVisit: function() {
+                this.templateActions = {
+                    "Edit": function(obj){
+                        content.goTo('session',{uid:store.getIdentity(obj)});
+                    },
+                    "Delete": lang.hitch(this,function(obj){
+                        store.remove(store.getIdentity(obj),store.getRevision(obj))
+                        .then(lang.hitch(this,function(){
+                            this._refresh();
+                        }));
+                    }),
+                    "Publish": lang.hitch(this,this._publishSession)
+                };
+                this.sessionActions = {
+                    "Facilitate": function(obj){
+                        content.goTo('run',{uid:store.getIdentity(obj)});
+                    },
+                    "Delete": lang.hitch(this,function(obj){
+                        store.remove(store.getIdentity(obj),store.getRevision(obj))
+                        .then(lang.hitch(this,function(){
+                            this._refresh();
+                        }));
+                    })
+                };
                 this._refresh();
             },
@@ -9,48 +33,37 @@
                 this.containerTemplates.set('content','');
                 this.containerSessions.set('content','');
-                this._refreshByType('SessionTemplate',this.containerTemplates.domNode);
-                this._refreshByType('SessionInstance',this.containerSessions.domNode);
+                this._refreshByType('SessionTemplate',this.containerTemplates.domNode,this.templateActions);
+                this._refreshByType('SessionInstance',this.containerSessions.domNode,this.sessionActions);
             },
-            _refreshByType: function(type,container) {
+            _refreshByType: function(type,container,actions) {
                 store.query("_design/default/_view/by_type",{key:type})
                 .forEach(lang.hitch(this,function(obj){
                     var widget = new ObjectBox({
-                        title: obj.title || "Untitled",
-                        actions: {
-                            "Edit": function(){alert('Custom edit code');},
-                            "Delete": lang.hitch(this,function(){
-                                store.remove(store.getIdentity(obj),store.getRevision(obj))
-                                .then(lang.hitch(this,function(){
-                                    this._refresh();
-                                }));
-                            }),
-                            "Custom function": function(){alert('newCommand');},
-                            "Publish": lang.hitch(this,this._publishSession,obj)
-                        }
-                    });
+                        actions: actions
+                    }).placeAt(container, "last");
                     widget.startup();
-                    widget.placeAt(container, "last");
+                    widget.set('value',obj);
                 }));
             },
             onAddSessionTemplate: function(){
                 store.put({
-                    type: 'SessionTemplate',
-                    title: 'TeamUp Basic Template'
+                    type: 'SessionTemplate'
                 })
-                .then(lang.hitch(this,function(){
-                    this._refresh();
+                .then(lang.hitch(this,function(obj){
+                    content.goTo('session',{uid:store.getIdentity(obj)});
                 }));
             },
             _publishSession: function(sessionTemplate) {
                 var publishDate = new Date();
-                var session = {
-                    type: "SessionInstance",
-                    title: sessionTemplate.title,
-                    date: publishDate.getDate()+"-"+publishDate.getMonth()+"-"+publishDate.getFullYear(),
-                    creator: "Igor Mayer"
-                };
+                var session = lang.clone(sessionTemplate);
+                delete session[store.idProperty];
+                delete session[store.revProperty];
+                session.type = "SessionInstance";
+                session.date = publishDate.getDate()+"-"+publishDate.getMonth()+"-"+publishDate.getFullYear();
+                session.creator = "Igor Mayer";
                 store.add(session)
                 .then(lang.hitch(this,function(){
                     this._refresh();
+                    this.tabContainer.selectChild(this.sessionsTab);
                 }));
             }
Index: Dev/branches/rest-dojo-ui/client/rft/run.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/run.js	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/rft/run.js	(revision 359)
@@ -40,5 +40,7 @@
     
     // pages -> load dynamically?
+    'rft/pages/index',
     'rft/pages/questions',
+    'rft/pages/session',
     'rft/pages/sessions',
     'rft/pages/surveys',
Index: Dev/branches/rest-dojo-ui/client/rft/store.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/store.js	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/rft/store.js	(revision 359)
@@ -56,5 +56,5 @@
 					    Accept: this.accepts
 				    }
-			    }).then(function(result){
+			    }).then(lang.hitch(this,function(result){
                     if ( result.error ) {
                         dfd.reject(result.reason);
@@ -64,5 +64,5 @@
                         dfd.resolve(object);
                     }
-                }, function(err){
+                }), function(err){
                     dfd.reject(err);
                 });
Index: Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 359)
@@ -11,20 +11,12 @@
             baseClass: "rftObjectBox",
             templateString: template,
-            
-            constructor: function() {
-                this.title = "";
-                this.subTitle = "";
-                this.lowerTitle = "";
-                this.objectType = "SessionTemplate";
-                this.actions = {}
-                
-            },
-            postCreate: function() {
+            value: null,
+            actions: null,
+            startup: function() {
                 this.line1 = new LineWithActionsWidget({
-                    title: this.title || "Untitled",
                     modifiers: 'green',
                     actions: {
                         "inspectIcon": {
-                            callback: lang.hitch(this, "_inspectObject"),
+                            callback: lang.hitch(this, this._showInfoBox),
                             properties: {
                                 blockButton: false,
@@ -36,11 +28,8 @@
                 }).placeAt(this.line1Node);
                 this.line2 = new LineWithActionsWidget({
-                    title: this.subTitle || "",
-                    modifiers: 'green',
-                    actions: {}
+                    modifiers: 'green'
                 }).placeAt(this.line1Node);
                 var line3Actions = this._createLine3Actions();
                 this.line3 = new LineWithActionsWidget({
-                    title: this.lowerTitle || "",
                     modifiers: 'green',
                     actions: line3Actions
@@ -52,32 +41,10 @@
             },
             _createLine3Actions: function() {
-                var ac = {};
-                if (this.actions["edit"]) {
-                    ac["edit"] = {
-                        callback: lang.hitch(this, "_editObject", this.actions["edit"]),
-                        properties: {
-                            blockButton: true,
-                            label: "Edit/View",
-                            modifiers: "trans",
-                            icon: "Edit"
-                        }
-                    };
-                    delete this.actions["edit"];
-                }
-                if (this.actions["delete"]) {
-                    ac["delete"] = {
-                        callback: lang.hitch(this, "_deleteObject", this.actions["delete"]),
-                        properties: {
-                            blockButton: true,
-                            label: "Delete",
-                            modifiers: "trans",
-                            icon: "Delete"
-                        }
-                    };
-                    delete this.actions["delete"];
-                }
-                for (action in this.actions) {
-                    ac[action] = {
-                        callback: lang.hitch(this, this.actions[action]),
+                var line3Actions = {};
+                for (var action in this.actions) {
+                    line3Actions[action] = {
+                        callback: lang.hitch(this, function(callback){
+                            this.value && callback(this.value);
+                        }, this.actions[action]),
                         properties: {
                             blockButton: true,
@@ -86,61 +53,26 @@
                             icon: action.charAt(0).toUpperCase()+action.slice(1)
                         }
-                    }
+                    };
                 }
-                return ac;
+                return line3Actions;
             },
-            
-            _setObjectReference: function(identifier) {
-            // TODO: Set this ObjectBox to refer to a certain database object
-        },
-        _getObjectInfo: function() {
-            // TODO: Query the database and retrieve a JSON array of object properties
-        },
-        _inspectObject: function() {
-            // TODO: Get object information (or retrieve from cache), then display in popup
-        },
-        _editObject: function(customFunction) {
-            // TODO: Pass an edit call to the page script, along with reference to the object contained in this ObjectBox
-            alert("Default edit code");
-            customFunction();
-        },
-        _deleteObject: function(customFunction) {
-            // TODO: Pass a delete call to the page script, along with reference to the object contained in this ObjectBox
-            customFunction();
-        },
-            
-            
-        _setTitleAttr: function(value) {
-            this.title = value;
-            if (this.line1 && this.line1.set) {
-                this.line1.set('title', this.title);
+            _showInfoBox: function() {
+                alert(this.value.description);
+            },
+            _setValueAttr: function(value) {
+                this.value = value;
+                this._refresh();
+            },
+            _getValueAttr: function(value) {
+                this.value = value;
+            },
+            _refresh: function() {
+                if ( this.value !== null ) {
+                    this.iconNode.className = "rftIcon typeIcon rftIcon"+(this.value.type || '');
+                    this.line1.set('title', this.value.title || '');
+                    this.line2.set('title', this.value.subTitle || '');
+                    this.line3.set('title', this.value.lowerTitle || '');
+                }
             }
-        },
-        _setSubTitleAttr: function(value) {
-            this.subTitle = value;
-            if (this.line2 && this.line2.set) {
-                this.line2.set('title', this.subTitle);
-            }
-        },
-        _setLowerTitleAttr: function(value) {
-            this.lowerTitle = value;
-            if (this.line3 && this.line3.set) {
-                this.line3.set('title', this.lowerTitle);
-            }
-        },
-        _setObjectTypeAttr: function(value) {
-            this.objectType = value;
-            this.iconNode.className = "rftIcon typeIcon rftIcon"+this.objectType;
-        },
-
-        /* This is an experiment to embed the creation function in the ObjectBox class itself. This method cannot be static, but can be called externally as such:
-         * rft.ui.ObjectBox().CreateNew(args, ref, loc);
-         * TODO: Check with Hendrik if I should do this or not!
-         * */
-         CreateNew: function(arguments, reference, location) {
-            var newBox = new rft.ui.ObjectBox(arguments);
-            newBox.startup();
-            newBox.placeAt(reference, location);
-        }
+        });
     });
-});
Index: Dev/branches/rest-dojo-ui/client/rft/ui/templates/ObjectBox.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/templates/ObjectBox.html	(revision 358)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/templates/ObjectBox.html	(revision 359)
@@ -1,4 +1,4 @@
 <div class="${baseClass}">
-    <div class="rftIcon typeIcon rftIcon${objectType}" data-dojo-attach-point="iconNode"></div>
+    <div data-dojo-attach-point="iconNode"></div>
     <div data-dojo-attach-point="line1Node"></div>
     <div data-dojo-attach-point="line2Node"></div>